# Fetch playback token keys This operation shows details for playback token keys you've created that are available in Wowza Video for your account. The details include a key id which you use to create a playback token for advanced token authentication. Endpoint: GET /playback_tokens/keys Version: BETA ## Query parameters: - `query` (string) Name is the only searchable field. Limit to a specific field with a colon (:). If you have multiple search terms you can use pipe (|) to separate the search terms. Examples: | Query | Description | | ----- | ----------- | | query=foo | Searches name field for foo. | - `page` (integer) Returns a paginated view of results from the HTTP request. Specify a positive integer to indicate which page of the results should be displayed. The default is 1. For more information and examples, see Get paginated query results with the Wowza Video REST API. - `per_page` (integer) For use with the page parameter. Indicates how many records should be included in a page of results. A valid value is any positive integer. The default and maximum value is 1000. ## Response 200 fields (application/json): - `playback_token_keys` (array) The list of playback token keys - `playback_token_keys.id` (string) Unique identifier for the playback token key. It will contain the organization identifier. - `playback_token_keys.organization_id` (string) The organization id. - `playback_token_keys.name` (string) The name of the playback token key for the organization. - `playback_token_keys.created_at` (string) The playback token creation timestamp. Example: "2020-01-01T12:33:22Z" - `pagination` (object) - `pagination.payload_version` (number) The pagination object version. - `pagination.total_records` (integer) The total number of records. Example: 100 - `pagination.page` (integer) The page number, starting at 1. Example: 1 - `pagination.per_page` (integer) The number of records per page. Example: 10 - `pagination.total_pages` (integer) The total number of pages. Example: 2 - `pagination.page_first_index` (integer) The index of the first record in the response. Example: 10 - `pagination.page_last_index` (integer) The index of the last record in the response. Example: 10 ## Response 401 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 403 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 404 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 410 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array)